For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer Address

Create address

post

Create a customer address

Header parameters
AuthorizationstringRequired
Body
address1stringRequired
address2stringOptional
citystringRequired
statestringRequired
postcodeinteger · int32Optional
countryIdinteger · int32Optional
addressTypeinteger · int32Required
companystringOptional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully added address.
post/CustomerAddress/add-address
POST /CustomerAddress/add-address HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 126

"address1='text'&address2='text'&city='text'&state='text'&postcode=1&countryId=1&addressType=1&company='text'"
{
  "status": 1,
  "message": "Successfully added address."
}

Delete address

delete

Delete a customer address

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted address
delete/CustomerAddress/delete-address/{id}
DELETE /CustomerAddress/delete-address/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted address"
}

Get address list

get

Get list of customer address

Query parameters
limitintegerRequired
offsetintegerOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully Get the customer Address
get/CustomerAddress/get-address-list
GET /CustomerAddress/get-address-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully Get the customer Address"
}

Update address

put

Update a customer address

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
address1stringRequired
address2stringOptional
citystringRequired
statestringRequired
postcodeinteger · int32Optional
countryIdinteger · int32Optional
addressTypeinteger · int32Required
companystringOptional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully updated customer address
put/CustomerAddress/update-address/{id}
PUT /CustomerAddress/update-address/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 126

"address1='text'&address2='text'&city='text'&state='text'&postcode=1&countryId=1&addressType=1&company='text'"
{
  "status": 1,
  "message": "Successfully updated customer address"
}

Create live address

post

Create a customer live address

Body
address1stringRequired
address2stringOptional
citystringRequired
statestringRequired
postcodeinteger · int32Optional
countryIdinteger · int32Optional
addressTypeinteger · int32Required
companystringOptional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Live Address Successfully Added..!
post/CustomerAddress/live
POST /CustomerAddress/live HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 126

"address1='text'&address2='text'&city='text'&state='text'&postcode=1&countryId=1&addressType=1&company='text'"
{
  "status": 1,
  "message": "Live Address Successfully Added..!"
}

Get live address list

get

Get list of customer live address

Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Got Live Address...! " or " No Live Address...!
get/CustomerAddress/live
GET /CustomerAddress/live HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Got Live Address...! \" or \" No Live Address...! "
}

Update live address

put

Update a customer live address

Body
tokenstringRequired
ipinteger · int32Required
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Live Address Mapping Service Called...!
put/CustomerAddress/live
PUT /CustomerAddress/live HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 23

"token='text'&ip=1"
200

success response

{
  "status": 1,
  "message": "Live Address Mapping Service Called...!"
}

Last updated